Skip to main content
`Ctrl`+`K`

# KSPCGSetRadius

Sets the radius of the trust region used by the `KSPCG` when the solver is used inside `SNESNEWTONTR`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPCGSetRadius(KSP ksp, PetscReal radius)

Logically Collective

## Input Parameters

- ksp - the iterative context

- radius - the trust region radius (0 is the default that disable the use of the radius)

## Note

When radius is greater then 0, the Steihaugh-Toint trick is used

## See Also

KSP: Linear System Solvers, `KSP`, `KSPCG`, `KSPNASH`, `KSPSTCG`, `KSPGLTR`, `SNESNEWTONTR`

## Level

advanced

## Location

src/ksp/ksp/impls/cg/cgtype.c

## Implementations

KSPCGSetRadius_CG() in src/ksp/ksp/impls/cg/cg.c
KSPCGSetRadius_GLTR() in src/ksp/ksp/impls/cg/gltr/gltr.c
KSPCGSetRadius_NASH() in src/ksp/ksp/impls/cg/nash/nash.c
KSPCGSetRadius_STCG() in src/ksp/ksp/impls/cg/stcg/stcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages